using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Collections;

namespace FM
{
    /// <summary>
    /// Obslun formulr na nastavenie asu intancicie pri vytvran intancie.
    /// </summary>
    public partial class InstationTimeSetter : Form
    {
        /// <summary>
        /// Nepouvan kontruktor
        /// </summary>
        public InstationTimeSetter()
        {
            InitializeComponent();
        }
        /// <summary>
        /// Kontruktor nastav mon (zadan) asy intancici
        /// </summary>
        /// <param name="name">Meno.</param>
        /// <param name="bindingTimes">Mon asy intancicie</param>
        public InstationTimeSetter(String name, ArrayList bindingTimes)
        {
            InitializeComponent();

			this.name.Text = name;

            foreach (string bindingTime in bindingTimes)
            {
                instTime.Items.Add(bindingTime);
            }

            instTime.SelectedIndex = 0;
        }

        private void button1_Click(object sender, EventArgs e)
        {

        }
    }
}